QXmpp: QXmppMessageReceiptManager Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Signals | Public Member Functions | List of all members
QXmppMessageReceiptManager Class Reference
Managers

The QXmppMessageReceiptManager class makes it possible to send and receive message delivery receipts as defined in XEP-0184: Message Delivery Receipts. More...

`#include <QXmppMessageReceiptManager.h>`

Inheritance diagram for QXmppMessageReceiptManager:

## Signals
void | messageDelivered (const QString &jid, const QString &id)

## Public Member Functions
| QXmppMessageReceiptManager ()
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual | ~QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList < QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)=0
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Additional Inherited Members
Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)

## Detailed Description

The QXmppMessageReceiptManager class makes it possible to send and receive message delivery receipts as defined in XEP-0184: Message Delivery Receipts.

## Constructor & Destructor Documentation

QXmppMessageReceiptManager::QXmppMessageReceiptManager | ( |  | ) |

Constructs a QXmppMessageReceiptManager to handle incoming and outgoing message delivery receipts.

## Member Function Documentation

void QXmppMessageReceiptManager::messageDelivered | ( | const QString & | jid,
|  | const QString & | id
| ) |  |
| signal

This signal is emitted when receipt for the message with the given id is received. The id could be previously obtained by calling QXmppMessage::id().

The documentation for this class was generated from the following files:

- QXmppMessageReceiptManager.h
- QXmppMessageReceiptManager.cpp